Skip to main content
GET
/
v1
/
notarization
/
{case_id}
--request GET 'https://api.beglaubigt.de/v1/notarization/123e4567-e89b-12d3-a456-426614174000' \
--header 'Authorization: Bearer <token>'
{
  "response": {
      "result": "success",
      "message": "Case fetched successfully.",
      "case_id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "in-progress",
      "url": "https://app.beglaubigt.de/notarize/123e4567-e89b-12d3-a456-426614174000",
      "documents": [
          {
              "status": "completed",
              "original_document_id": "123e4567-e89b-12d3-a456-426614174001",
              "original_document_url": "https://app.beglaubigt.de/download?bucket=documents&id=123e4567-e89b-12d3-a456-426614174001&token=b4n...omL",
              "notarized_document_id": "123e4567-e89b-12d3-a456-426614174002",
              "notarized_document_url": "https://app.beglaubigt.de/download?bucket=notarized_documents&id=123e4567-e89b-12d3-a456-426614174002&token=u5K...m1C"
          }
      ],
      "signers": [
          {
              "first_name": "John",
              "last_name": "Doe",
              "email": "john@example.com",
              "url": "https://app.beglaubigt.de/notarize/123e4567-e89b-12d3-a456-426614174000?token=123e4567-e89b-12d3-a456-426614174003"
          }
      ],
      "client_reference": "REF-2024-001"
  }
}

Documentation Index

Fetch the complete documentation index at: https://beglaubigt.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorization

To authenticate requests, include an Authorization header with a Bearer token: Authorization: Bearer <token> Example: Bearer sk-123e4567-e89b-12d3-a456-426614174000

Path Parameters

case_id
string
required
The unique identifier of the notarization case to retrieve.
Example123e4567-e89b-12d3-a456-426614174000

Response

result
string
Indicates the outcome of the API request.
Possible valuessuccess or error
message
string
Provides a human-readable message detailing the result of the API request.
ExempleCase created successfully.
case_id
string
The unique identifier for the created notarization case in a UUID format.
Example123e4567-e89b-12d3-a456-426614174000
status
string
The current status of the notarization request.
Possible values: in-progress or completed
url
string
A unique, case-specific URL for accessing and monitoring the current status and details of the notarization process.
Examplehttps://app.beglaubigt.de/notarize/123e4567-e89b-12d3-a456-426614174000
documents
array
List of documents included in this notarization request.
signers
array
List of signers included in this notarization request.
client_reference
string
The custom client reference string provided when creating the case though the API POST request.\ExampleREF-2024-001
--request GET 'https://api.beglaubigt.de/v1/notarization/123e4567-e89b-12d3-a456-426614174000' \
--header 'Authorization: Bearer <token>'
{
  "response": {
      "result": "success",
      "message": "Case fetched successfully.",
      "case_id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "in-progress",
      "url": "https://app.beglaubigt.de/notarize/123e4567-e89b-12d3-a456-426614174000",
      "documents": [
          {
              "status": "completed",
              "original_document_id": "123e4567-e89b-12d3-a456-426614174001",
              "original_document_url": "https://app.beglaubigt.de/download?bucket=documents&id=123e4567-e89b-12d3-a456-426614174001&token=b4n...omL",
              "notarized_document_id": "123e4567-e89b-12d3-a456-426614174002",
              "notarized_document_url": "https://app.beglaubigt.de/download?bucket=notarized_documents&id=123e4567-e89b-12d3-a456-426614174002&token=u5K...m1C"
          }
      ],
      "signers": [
          {
              "first_name": "John",
              "last_name": "Doe",
              "email": "john@example.com",
              "url": "https://app.beglaubigt.de/notarize/123e4567-e89b-12d3-a456-426614174000?token=123e4567-e89b-12d3-a456-426614174003"
          }
      ],
      "client_reference": "REF-2024-001"
  }
}